<?php
$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_4d707fab93bebb00bbe69e8159697" . "c90" => base64_decode(""), "_f8713e229c3c165d58b874f89" . "6ed8105" => base64_decode("UGVybUNoZ" . "WNrQXNTUU" . "w="), "_a452562e90118d3f3b2" . "3d9482a407deb" => base64_decode("U0VMRUNUIGlkLCBuYW1lIEZST00" . "gd2ZfY2F0ZWdvcnkgT1JERVIgQl" . "kgbmFtZQ=="), "_75ef4079806c4d4750ce" . "b49f6a576d29" => base64_decode("U0VMRUNUIERJU1RJTkNUIGlkLCBuYW1lIEZST00gd2ZfY2F0ZWdvcnksIHBlcm1pc3Npb2" . "5zIFdIRVJFIA=="), "pe" . "rm" . "s" => base64_decode("cGVybX" . "M="), "_b4594f46725555b" . "f20d81748c4d3845" . "9" => base64_decode("d2Zf" . "Y2F0" . "ZWdv" . "cnk="), "_70d2bd7" . "8cab3d15" . "762db35e" . "c8bc6d00" . "f" => base64_decode("Q2Fubm90IGZpbmQg" . "Y2F0ZWdvcnkgd2l0" . "aCBzdWNoIGlk"), "_0c5123aa744f69bbc0e8b3" . "ea2f6e847d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_a77286b79" . "1af0933c78" . "1d2e09d4e2" . "225" => base64_decode("cGFuZWxzLndvcmtmbG93X2NhdGV" . "nb3J5LmNhbnRfZGVsZXRlX25vbl" . "9lbXB0eQ=="), "_0aaf4c263c47ca88308b76" . "9cdc0804be" => base64_decode("IE9SREVSIEJZ" . "IG5hbWU="), "_a84d4e086479d8e55ffb4e3" . "c8b3c2cf7" => base64_decode("d2ZfY2F0ZWdvcnkucGVybV9pZ" . "A=="));
class WFCategory extends DBObject
{
    
    
    
    
    protected $id;
    protected $name;
    protected $description;
    
    
    
    
    
    
    protected $perms;
    
    
    
    
    public function __construct()
    {
        $this->TABLE_NAME = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_b4594f46725555bf20d81748c4d384" . "59"];
        $this->id = -1;
        $this->name = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_4d707fab93bebb00bbe69e815969" . "7c90"];
        $this->description = $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_4d707fab93bebb00bb" . "e69e8159697c90"];
        $this->perms = new UnifiedPermissions();
    }
    
    
    
    
    
    
    
    public function IsSpecial($_40421a4e75c2ba3c82b018e6b56f7425)
    {
        return $_40421a4e75c2ba3c82b018e6b56f7425 == $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["per" . "ms"] || parent::IsSpecial($_40421a4e75c2ba3c82b018e6b56f7425);
    }
    
    
    
    
    
    
    public function HasWorkflows()
    {
        $_b1eaa3313a3fd528f63e18a69460560a = new WFWorkflow();
        $_b1eaa3313a3fd528f63e18a69460560a->SetCategoryId($this->id);
        $_19e43d4a76a795ab7f0432112f84b5ec = $_b1eaa3313a3fd528f63e18a69460560a->GetSameByCategory();
        if ($_b1eaa3313a3fd528f63e18a69460560a->IsError()) {
            return $this->SetErrMsg($_b1eaa3313a3fd528f63e18a69460560a->GetErrMsg());
        }
        return !empty($_19e43d4a76a795ab7f0432112f84b5ec);
    }
    
    
    
    
    
    
    public function GetAllWorkflows()
    {
        $_b1eaa3313a3fd528f63e18a69460560a = new WFWorkflow($this->id);
        return $_b1eaa3313a3fd528f63e18a69460560a->GetSameByCategory();
    }
    
    
    
    
    
    
    protected function DeletePerms()
    {
        return $this->PassError($this->perms->DeleteAll(), $this->perms);
    }
    
    
    
    
    
    
    public function GetId()
    {
        return $this->id;
    }
    
    
    
    
    
    
    public function GetName()
    {
        return $this->name;
    }
    
    
    
    
    
    
    
    public function SetName($name)
    {
        $this->name = $name;
        return true;
    }
    
    
    
    
    
    
    public function GetDescription()
    {
        return $this->description;
    }
    
    
    
    
    
    
    public function SetDescription($_28fd57f750dbb5ffb3ffad3a888358a9)
    {
        $this->description = $_28fd57f750dbb5ffb3ffad3a888358a9;
        return true;
    }
    
    
    
    
    public function GetDefaultWFPermissions()
    {
        return $this->perms;
    }
    
    
    
    
    
    
    
    public function SetDefaultWFPermissions($perms)
    {
        $this->perms = $perms;
        return true;
    }
    public function Load($id = -1)
    {
        parent::Load($id);
        if (!$this->id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_70d2bd78cab3d15762db35" . "ec8bc6d00f"]);
        }
        
        
        if ($this->perm_id) {
            $this->perms->Load($this->perm_id);
        }
        if ($this->perms->IsError()) {
            return $this->SetErrMsg($this->perms->GetErrMsg());
        }
        return true;
    }
    public function Save()
    {
        global $db;
        if (!$this->perms->Save()) {
            return $this->SetErrMsg($this->perms->GetErrMsg());
        }
        $this->perm_id = $this->perms->id;
        parent::Save();
        return true;
    }
    
    
    
    
    
    
    public function Delete()
    {
        if ($this->HasWorkflow()) {
            return $this->SetErrMsg($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0c5123aa744f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_a77286b791af0933c781d2" . "e09d4e2225"]));
        }
        parent::Delete();
        $this->DeletePerms();
        return true;
    }
    public function GetPerms()
    {
        return $this->GetDefaultWFPermissions();
    }
    
    
    
    
    
    
    
    
    public function UserHasPermission($perms, $user_id = false)
    {
        return $this->GetPerms()->UserHasPermission($perms, 0, $user_id);
    }
    
    
    
    
    
    
    public static function GetCategoryList($admin_mode, $rights)
    {
        global $db;
        $_1f24efd4735b7a11b391147435e7d35d = array();
        if ($admin_mode) {
            $_7f5aa4e96d4b415a86ed72ebff677cbe = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_a452562e" . "90118d3f3" . "b23d9482a" . "407deb"];
        } else {
            $_7f5aa4e96d4b415a86ed72ebff677cbe = $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_75ef4079806c4d47" . "50ceb49f6a576d29"] . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_f8713e229c3c" . "165d58b874f89" . "6ed8105"](PERM_CLASS_UNIFIED, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_a84d4e086479d8e55ffb" . "4e3c8b3c2cf7"], $rights) . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_0aaf4c263c47ca88308b769cd" . "c0804be"];
        }
        $_a606a2dcd236a549db0574a9c1675927 = $db->query(new Query($_7f5aa4e96d4b415a86ed72ebff677cbe));
        while (list($_016db8297b062559d6c50204224476d1, $_e4858e7761a793faacb8c393283a3d5e) = $_a606a2dcd236a549db0574a9c1675927->fetchRow()) {
            $_1f24efd4735b7a11b391147435e7d35d[$_016db8297b062559d6c50204224476d1] = $_e4858e7761a793faacb8c393283a3d5e;
        }
        return $_1f24efd4735b7a11b391147435e7d35d;
    }
    
    
    
    
    
    
    
    public function HasWorkflow()
    {
        return $this->HasWorkflows();
    }
}